Unit tde99e2_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, ftde99e2_p, DE99E_p;

function tde99e2: String;

implementation

function tde99e2: String;
var
M,K0,INIAPR,IMAX,MESTER,K20,IMAX2,NATTEM,IERR :Integer;
XN,YN,DYN,XK,H,HMIN,HMAX,Y,DY,YT,DYT :Extended;
RAB :Array [0..1867] of Extended;
IU :Array [0..1] of Integer;
EPS :Array [0..1] of Extended;
THRESH :Array [0..1] of Extended;
MEXACT :Array [0..1] of Integer;
NUMBES :Array [0..1] of Integer;
const
K :Integer = 18;
K2 :Integer = 25;
begin
Result := '';  {   }
IU[0] := 2;
IU[1] := 2;
EPS[0] := 0.5e-13;
Eps[1] := 0.5e-13;
THRESH[0] := 1.e0;
THRESH[1] := 1.e0;
MEXACT[0] := 1;
MEXACT[1] := 1;
NUMBES[0] := 1;
NUMBES[1] := 1;
{      PROGRAM AVTOM }
M := 1;
_BLOCK.elm2 := 4.0e0;
XN := 0.0;
YN := Exp(_BLOCK.elm2);
DYN := _BLOCK.elm2*YN;
XK := 7.e0;
YT := Exp(_BLOCK.elm2*(XK+1.e0));
DYT := _BLOCK.elm2*YT;
K0 := K;
INIAPR := 1;
IMAX := 28;
MESTER := 1;
H := 1.e0;
HMIN := 1.e-3;
HMAX := XK;
K20 := K2;
IMAX2 := 3;
NATTEM := 3;
_BLOCK.elm1 := 0;
DE99E(ftde99e2,M,XN,YN,DYN,XK,K0,INIAPR,IMAX,IU,EPS,THRESH,MEXACT,
     NUMBES,MESTER,H,HMIN,HMAX,K20,IMAX2,NATTEM,Y,DY,RAB,
     IERR);
Result := Result + Format(' IERR=%2d ',[IERR]) + #$0D#$0A;
Result := Result + Format(' N=%8d ',[_BLOCK.elm1]) + #$0D#$0A;
Result := Result + Format(' NACCEP=%3d      NREJEC=%3d ',
 [_STAT76.elm1,_STAT76.elm2]) + #$0D#$0A;
Result := Result + Format('%s',[#$0D#$0A + ' DY =   ']);
Result := Result + Format('%30.18e   Y =  %30.18e ',[DY,Y]) + #$0D#$0A;
Result := Result + Format(' DYT=   %30.18e   YT=  %30.18e'+#$0D#$0A+#$0D#$0A+' DYT-DY=%30.18e   YT-Y=%30.18e ',
 [DYT,YT,DYT-DY,YT-Y]) + #$0D#$0A;
Result := Result + Format('%s',[#$0D#$0A + ' (DYT-DY)/DY=']);
Result := Result + Format('%30.18e     (YT-Y)/Y=%30.18e ',
 [(DYT-DY)/DY,(YT-Y)/Y]) + #$0D#$0A;
UtRes('tde99e2',Result);  {     tde99e2.txt }
exit;
end;

end.
